<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" />

<xsl:template match="LINK">
	<xsl:call-template name="MODULE-LINK">
		<xsl:with-param name="module_link_additional_attributes" select="@*|URL|ONCLICK"/>
		<xsl:with-param name="module_link_title" select="CAPTION"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="LINK/URL">
	<xsl:attribute name = "HREF"><xsl:value-of select = "."/></xsl:attribute>	
</xsl:template>

<xsl:template match="LINK/ONCLICK">
	<xsl:attribute name = "onclick">
		<xsl:value-of select="." disable-output-escaping="yes"/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="TEXT">
	<xsl:call-template name="MODULE-TEXT">
		<xsl:with-param name="module_text_additional_attributes" select="@*"/>
		<xsl:with-param name="module_text_value" select="current()"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="DATE-TIME">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="URL">
	<a href="{ADDRESS}" class="message_autor_url">
		<xsl:apply-templates select="TARGET"/>
		<xsl:value-of select="TEXT"/>
	</a>
</xsl:template>
	
<xsl:template match="MAIL">
	<a href="mailto:{.}" class="message_autor_url">
		<xsl:apply-templates select="TARGET"/>
		<xsl:value-of select="TEXT"/>
	</a>
</xsl:template>

<xsl:template match="URL/TARGET">
	<xsl:attribute name="target">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="URL/ONCLICK">
	<xsl:attribute name="onclick">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

</xsl:stylesheet>