<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="paging.xsl"/>

<xsl:template match="LIST[@TYPE='SIMPLE']">
	<xsl:call-template name="MODULE-SIMPLE-LIST">
		<xsl:with-param name="module_simple_list_items" select="CONTENT/*"/>
		<xsl:with-param name="module_simple_list_paging" select="PAGING"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="LIST[@TYPE='THUMBNAILS']">
	<xsl:apply-templates select="TITLE" mode="THUMBNAILS-LIST"/>
	<xsl:apply-templates select="CONTENT" mode="THUMBNAILS-LIST"/>
	<table cellpadding="0" cellspacing="0" class="topline" width="100%" border="0">
		<tr>
			<td width="1%"><xsl:apply-templates select="PAGE-NAVIGATOR"/></td>
			<td>&#160;</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="TITLE" mode="THUMBNAILS-LIST">
	<div class="pageContent" style="text-align: left;"><span class="category_title"><xsl:value-of select="text()"/>:</span></div>
</xsl:template>

<xsl:template match="CONTENT" mode ="THUMBNAILS-LIST">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<xsl:apply-templates select="LIST-ROW" mode="THUMBNAILS-LIST"/>
	</table>
</xsl:template>

<xsl:template match="LIST-ROW" mode ="THUMBNAILS-LIST">
	<tr>
		<xsl:apply-templates select="CONTENT/THUMBNAILS-LIST-ITEM|CONTENT/CATEGORY|CONTENT/PRODUCT" />
	</tr>
</xsl:template>

<xsl:template match="THUMBNAILS-LIST-ITEM">
	<td style="padding-top:4px; padding-right:4px; vertical-align:top; text-align: left;">
		<table cellpadding="0" cellspacing="0">
			<tr>
				<td valign="top" style="padding-right:5px;">
					<xsl:choose>
						<xsl:when test="IMAGE">
							<a>
								<xsl:attribute name='href'><xsl:value-of select="LINK"/></xsl:attribute>
								<xsl:apply-templates select="IMAGE"/>
							</a>
						</xsl:when>
						<xsl:otherwise>
							&#160;
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td class="pageContent" style="padding-left:2px;"  valign="top">
					<a>
						<xsl:attribute name='href'><xsl:value-of select="LINK"/></xsl:attribute>
						<xsl:value-of select="TITLE"/>
					</a>
					<br/>
					<xsl:value-of select="DESCRIPTION"/>
				</td>
			</tr>
		</table>
	</td>
</xsl:template>

<xsl:template match="IMAGE">
		<img border="0" style="cursor:pointer;">
			<xsl:attribute name="src"><xsl:value-of select="."/></xsl:attribute>
			<xsl:attribute name="width"><xsl:value-of select="@WIDTH"/></xsl:attribute>
			<xsl:attribute name="height"><xsl:value-of select="@HEIGHT"/></xsl:attribute>
		</img>
</xsl:template>


</xsl:stylesheet>