<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="DEVELOPMENT-CONTENT">
		<table width="100%" cellpadding="0" cellspacing="0"  border="0">
			<tr>
				<td><xsl:apply-templates select="TAB-PANEL"/></td>
			</tr>
		</table>
	</xsl:template>

	
	<xsl:template match="CHECK-CARD-CONTENT">			
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					Loaded extensions:
					<ul>
						<xsl:for-each select="EXTENSION">
							<li><xsl:value-of select="."/></li>
						</xsl:for-each>
					</ul>
				</td>
			</tr>
		</table>
	</xsl:template>
		
	
	<xsl:template match="PHPINFO-CARD-CONTENT">			
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					Ini settings:<br/>
					<br/>
					
					<table width="100%" cellpadding="4" cellspacing="1" border="0">
						<xsl:for-each select="INI-SETTING">
							<xsl:variable name="class" select="position() mod 2"/>
							<tr class="SB_List_Rrow_{$class}">
								<td><xsl:value-of select="@NAME"/></td>
								<td><xsl:value-of select="."/></td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	
	<xsl:template match="ACL-CARD-CONTENT">			
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					<xsl:apply-templates select="ACL-LIST"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="ACL-LIST">
		<b>ACL for <xsl:value-of select="@TITLE"/>:</b><br/>
		<br/>
		<table width="100%" cellpadding="4" cellspacing="1" border="0">
			<tr class="SBGridViewHeader">
				<td>Id</td>
				<td><xsl:value-of select="@TITLE"/> names</td>
				<td>By Admin</td>
				<td>By Reseller</td>
				<td>By SiteOwner</td>
				<td>By Guest</td>
			</tr>
		
			<xsl:for-each select="ITEM">
				<xsl:variable name="class" select="position() mod 2"/>
				<tr class="SB_List_Rrow_{$class}">
					<td>
						<xsl:if test="@ID">
							<xsl:value-of select="@ID"/>
						</xsl:if>
						&#160;
					</td>
					<td><xsl:value-of select="."/></td>
					<td>
						<xsl:choose>
							<xsl:when test="@BY-ADMIN = 0">
								<span style="color: red">-</span>
							</xsl:when>
							<xsl:otherwise>
								<span style="color: green">+</span>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="@BY-RESELLER = 0">
								<span style="color: red">-</span>
							</xsl:when>
							<xsl:otherwise>
								<span style="color: green">+</span>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="@BY-SITE-OWNER = 0">
								<span style="color: red">-</span>
							</xsl:when>
							<xsl:otherwise>
								<span style="color: green">+</span>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="@BY-GUEST = 0">
								<span style="color: red">-</span>
							</xsl:when>
							<xsl:otherwise>
								<span style="color: green">+</span>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<br/>
	</xsl:template>
	
</xsl:stylesheet>

                              
