<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="LICENSE-FORM">
		<script type="text/javascript" src="/js/Admin/License.js?{$version}.{$build}"/>
		
		<table width="100%" cellpadding="0" cellspacing="0"  border="0">
			<tr>
				<td ><xsl:apply-templates/></td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="ACTIVATION-CARD-CONTENT">
		<form name="activateKey" method="POST" action="{$baseUrl}/Admin/License/Activate" onsubmit="javascript:return validateActivationForm();">
			<table width="100%" border="0">
				<tr>
					<td colspan="2">
						<fieldset class="SB_Form_FieldSet">
							<!--legend style="color:Black;font-family:Arial;font-size:11px;font-weight:bold;"><xsl:value-of select="ACTIVATION-CODE-PANEL/@TITLE"/></legend-->
							<table cellpadding="10" cellspacing="0" width="100%" border="0">
								<tr>
									<td colspan="3" style="color:Black;font-family:Arial;font-size:11px;"><xsl:value-of select="@DESCRIPTION"/></td>
								</tr>
								<tr>
									<td style="width: 25%;color:Black;font-family:Arial;font-size:11px;"><xsl:value-of select="@ACT-CODE-TITLE"/></td>
										<td style="white-space: nowrap; width: 35%">
										<input name="activationCode" id="activationCode" type="text" maxlength="255" style="color:Black;border-color:#999EA1;border-width:1px;border-style:Solid;font-family:Arial;font-size:11px;width:80%;" />
										<span style="color:Red;">&#160;*</span>
									</td>
									<td style="width: 40%;color:Black;font-family:Arial;font-size:11px;">(<xsl:value-of select="@EXAMPLE"/>: 9FFT00-OGEE19-LQAA56-QCCU99)</td>
								</tr>
							</table>
						</fieldset>
					</td>
				</tr>
				<tr>
					<td><xsl:call-template name="REQUIRED-FIELDS"/></td>
					<td align="right">
						<table onclick="" cellpadding="0" cellspacing="0" style="width:100px;cursor:pointer">
						<tr>
							<td align="right" style="padding:0px;">
								<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
									<xsl:with-param name="action">javascript:return validateActivationForm();</xsl:with-param>
								</xsl:apply-templates>
							</td>
						</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>
	
	<xsl:template match="UPLOADKEY-CARD-CONTENT">
		<form name="uploadKey" method="POST" action="{$baseUrl}/Admin/License/Upload" enctype="multipart/form-data" onsubmit="javascript:return validateUploadForm();">
			<input type="hidden" name="MAX_FILE_SIZE">
				<xsl:attribute name="value"><xsl:value-of select="@MAX-FILE-SIZE"/></xsl:attribute>
			</input>
			
			<table cellpadding="0" cellspacing="0" width="100%" border="0">
				<tr>
					<td colspan="2">
						<fieldset class="SB_Form_FieldSet">
							<table cellpadding="10" cellspacing="0" width="100%" border="0">
								<tr>
									<td align="left" style="width:50%;white-space: nowrap;color:Black;font-family:Arial;font-size:11px;"><xsl:value-of select="@DESCRIPTION"/></td>
									<td style="width:50%;white-space: nowrap;" align="left">
										<input name="sbUploadKey" id="sbUploadKey" type="file" style="color:Black;border-color:#999EA1;border-width:1px;border-style:Solid;font-family:Arial;font-size:11px;"/>
									</td>
								</tr>
							</table>
						</fieldset>
					</td>
				</tr>
				<tr>
					<td><xsl:call-template name="REQUIRED-FIELDS"/></td>
					<td align="right" style="padding-top: 4px;">
						<table onclick="" cellpadding="0" cellspacing="0" style="width:100px;cursor:pointer">
							<tr>
								<td align="right" style="padding:0px;">
									<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
										<xsl:with-param name="action">javascript:return validateUploadForm();</xsl:with-param>
									</xsl:apply-templates>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>

</xsl:stylesheet>