<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="NOTIFICATIONS-CONTENT">

<table width="100%" cellpadding="0" border="0">
	<tr>
	<td class="SB_ToolBarPadding">
	<script type="text/javascript" src="/js/Admin/Notifications.js?{$version}.{$build}"/>
	
	<form name="notifications" method="post" id="editNotifications" action="{$baseUrl}/Admin/Notifications" onsubmit="return submitForm();">
		<fieldset class="SB_Form_FieldSet">
			<legend class="SB_Toolbar_title">Notifications</legend>
			<table width="100%" cellspacing="0" cellpadding="0" border="0" class="SB_FormTable">
				<tr>
					<td align="left" style="whitespace: nowrap;">
						<span style="color: Black; font-family: Arial; font-size: 11px;padding-right: 5px;"><xsl:value-of select="CONTROL[@TYPE='COMBO-BOX' and @NAME='notificationsType']/@TITLE"/></span>
						<xsl:apply-templates select="CONTROL[@TYPE='COMBO-BOX' and @NAME='notificationsType']">
							<xsl:with-param name="controlStyle">color: Black; font-family: Arial; font-size: 11px; width: 200px;</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td align="right">
						<xsl:apply-templates select="SELECT-LANGUAGE">
							<xsl:with-param name="name">selectedLocale</xsl:with-param>
							<xsl:with-param name="onChange">var selectedLocale = document.forms.notifications.selectedLocale.options[document.forms.notifications.selectedLocale.selectedIndex].value; document.forms.notifications.selectedLocale.selectedIndex = originalSelectedLocaleIndex; sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Admin/Notifications?selectedLocale=' + selectedLocale);</xsl:with-param>
						</xsl:apply-templates>
						
						<script type="text/javascript" language="javascript">
							originalSelectedLocaleIndex = document.forms.notifications.selectedLocale.selectedIndex;
						</script>
					</td>
				</tr>
				<tr>
					<td colspan="2" style="padding: 20;">
						<table width="100%" cellspacing="0" cellpadding="0" border="0" align="center">
							<xsl:for-each select="CONTROL[@TYPE='INPUT']">
								<tr>
									<td width="50%" valign="middle" nowrap="nowrap">
										<xsl:if test="position() != 1">
											<div style="width: 0px; height: 10px;"></div>
										</xsl:if>
									
										<xsl:apply-templates select="." mode="TITLE-TOP">
											<xsl:with-param name="titleStyle">color: Black; font-family: Arial; font-size: 11px;font-weight: bold;</xsl:with-param>
											<xsl:with-param name="controlStyle">border: 1px solid #999ea1; color: Black; font-family: Arial; font-size: 11px; width: 100%;</xsl:with-param>
											<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
										</xsl:apply-templates>
									</td>
								</tr>
							</xsl:for-each>
							
							<tr>
								<td>
									<div style="width: 0px; height: 10px;"></div>
									<xsl:call-template name="TEXT-CONTROL">
										<xsl:with-param name="title"><xsl:value-of select="WYSIWYG/@TITLE"/></xsl:with-param>
										<xsl:with-param name="titleStyle">color: Black; font-family: Arial; font-size: 11px;font-weight: bold;</xsl:with-param>
									</xsl:call-template>
								</td>
							</tr>
							
							<tr>
								<td>
									<xsl:apply-templates select="WYSIWYG[@NAME='notificationContent']"/>
								</td>
							</tr>
							
						</table>
					</td>
				</tr>
			</table>
		</fieldset>

	</form>
	</td>
	</tr>
</table>

<xsl:call-template name="OK-CANCEL-BUTTONS">
	<xsl:with-param name="okAction">if(validateForm()){document.forms.notifications.submit();}</xsl:with-param>
	<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Server";</xsl:with-param>
</xsl:call-template>

</xsl:template>
</xsl:stylesheet>