<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="IMAGES-UPLOAD">
		<script src='/modules/ImageGallery/js/uploadManager.js?{$version}.{$build}' type='text/javascript'/>

		<table border="0" style="width:100%;" id="uploadManager">
			<!-- draw select box for resize images -->
			<tr>
				<td style="width:50%;" align="left">
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-RESIZE"/> &#160;
					<select name="resizeImages">
						<xsl:apply-templates select="IMAGE-SELECT-ITEM-RESIZE"/>
						<option value="0">
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-NO_RESIZE"/>
						</option>
					</select>
				</td>
				<td style="width:10%;" align="left"></td>
				<td style="width:40%;" align="left">
					<input type="checkbox" name="defaultImageName" id="defaultImageName" checked="true"/>
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-DEFAULT"/>
				</td>
			</tr>
			<!-- draw padding top 10px between select box and list items for upload images -->
			<tr>
				<td colspan="3" style="padding-top:10px;">
					<div style="width:100%; height:0px;"><span></span></div>
				</td>
			</tr>
			<!-- draw list items for upload images -->
			<xsl:apply-templates select="IMAGE-UPLOAD-ITEM"/>
		</table>
		
		<!-- draw button upload -->
		<table border="0" style="width:100%;" class="SB_Page">
			<tr>
				<td style="width:50%"><div style="width:100%; height:0px;"><span></span></div></td>
				<td style="width:10%" align="center">
					<xsl:call-template name="BUTTON">
						<xsl:with-param name="title">
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-UPLOAD"/>
						</xsl:with-param>
						<xsl:with-param name="action">
							uploadImages();
						</xsl:with-param>
					</xsl:call-template>
				</td>
				<td style="width:40%"></td>
			</tr>
			<tr style="display:none" id="defaultUploadImage">
				<td style="padding-left: 0px; padding-bottom: 5px; width:50%;" align="left">
					<span class="SB_GridText">
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-FILE"/> 
					</span>	&#160;
					<input type="file" name="imagesFile[]" value="" style="display:none; font-size: 11px;font-family: Tahoma,Arial,Helvetica,sans-serif; border: Solid 1px #999EA1;" size="40" onchange="checkBrowse();"/> 
				</td>
				<td style="width:10%">
				</td>
				<td style="padding-left: 0px; padding-bottom: 5px; width:40%;" align="left">
					<span class="SB_GridText">
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-TITLE"/> 
					</span>	&#160;
					<input type="text" name="imagesTitle[]" class="SB_Control_Input_Input" maxlength="50"/> 
				</td>
			</tr>
		</table>
		<br/><br/>
		<table border="0" style="width:100%;" class="SB_Page">
			<tr>
				<td style="width:100%;" align="left" colspan="3">
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-NOT-RECOMMENDED"/>
				</td>
			</tr>
		</table>
		
	</xsl:template>
	
	<xsl:template match="IMAGE-SELECT-ITEM-RESIZE">
		<option>
			<xsl:attribute name="value"><xsl:value-of select="@CODE"/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="@SIZE"/>
		</option>
	</xsl:template>

	<xsl:template match="IMAGE-UPLOAD-ITEM">
		<tr>
			<td style="padding-left: 0px; padding-bottom: 5px; padding-top: 5px; width:50%;" align="left">
					<span class="SB_GridText">
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-FILE"/> 
					</span>	&#160;
				<input type="file" name="imagesFile[]" value="" onchange="checkBrowse();" style="font-size: 11px;font-family: Tahoma,Arial,Helvetica,sans-serif; border: Solid 1px #999EA1;" size="40"/> 
			</td>
			<td style="width:10%"></td>
			<td style="padding-left: 0px; padding-bottom: 5px; width:40%;" align="left">
				<span class="SB_GridText">
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/IMAGE-UPLOAD-TITLE"/> 
				</span>	&#160;
				<input type="text" name="imagesTitle[]" class="SB_Control_Input_Input" maxlength="50"/> 
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>	