<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="STEP-OVERVIEW" name="STEP">	
		<table cellspacing="0" cellpadding="0" border="0" style="border-width:0px;height:100%;width:100%;border-collapse:collapse;">
			<tr>
				<td align="center" style="border-width:0px;width:20%;" border="0">
					<table class="SB_Overview_Table_inside" style="cursor: pointer; cursor: hand; height: 100%;" cellspacing="0" cellpadding="0" width="100%" border="0" onclick="">
						<xsl:attribute name="onclick">sbNavigationObject.go('<xsl:value-of select="@ACTION"/>');</xsl:attribute>
						<tr style="height: 7px;">
							<td style="width: 10px; height: 7px; vertical-align: top;">
								<img src="{$skinPath}/images/over_left_top_corner.gif" style="border-width:0px;height:7px;" />
							</td>
							<td style="height: 7px; background-repeat: repeat-x; background-position: top right;" background="{$skinPath}/images/over_top_line.gif">
								<img src="{$skinPath}/images/empty.gif" style="border-width:0px;height:1px;width:130px;" />
							</td>
							<td style="width: 10px; height: 7px; vertical-align: top;">
								<img src="{$skinPath}/images/over_right_top_corner.gif" style="border-width:0px;height:7px;" />
							</td>
						</tr>
						<tr style="height: 35%;">
							<td style="width: 10px; background-repeat: repeat-y; background-position: top left;" background="{$skinPath}/images/over_left_line.gif">&#160;</td>
							<td class="SB_Overview_title" align="center" rowspan="2" style="vertical-align: middle;background-repeat: no-repeat; background-position: bottom left;">
								<xsl:if test="position() != 1">
									<xsl:attribute name="background"><xsl:value-of select="$skinPath"/>/images/over_left_end_arrow.gif</xsl:attribute>					
								</xsl:if>
								<img src="{$skinPath}/images/empty.gif" style="border-width:0px;height:175px;width:0px;" />
								<img style="border-width:0px;" >
									<xsl:attribute name="src"><xsl:value-of select="$skinPath"/>/images/<xsl:value-of select="@ICON"/></xsl:attribute>
								</img>
							</td>
							<td style="width: 10px; background-repeat: repeat-y; background-position: top left;" background="{$skinPath}/images/over_right_line.gif">&#160;</td>
						</tr>
						<tr style="height: 56px;">
							<td style="width: 10px; height: 56px; background-repeat: repeat-y; background-position: top left; vertical-align: bottom;" background="{$skinPath}/images/over_left_line.gif">
								<img src="{$skinPath}/images/empty.gif" style="border-width:0px;">
									<xsl:if test="position() != 1">
										<xsl:attribute name="src"><xsl:value-of select="$skinPath"/>/images/over_left_arrow.gif</xsl:attribute>					
									</xsl:if>
								</img>

							</td>
							<td style="width: 10px; height: 56px; background-repeat: repeat-y; background-position: bottom left; vertical-align: bottom;" background="{$skinPath}/images/over_right_line.gif">
								<img src="{$skinPath}/images/empty.gif" style="border-width:0px;">
									<xsl:if test="position() != last()">
											<xsl:attribute name="src"><xsl:value-of select="$skinPath"/>/images/over_right_arrow.gif</xsl:attribute>					
									</xsl:if>
								</img>
							</td>
						</tr>
						<tr style="height: 10%;">
							<td style="width: 8px; background-repeat: repeat-y; background-position: top left;" background="{$skinPath}/images/over_left_line.gif">&#160;</td>
							<td class="SB_Overview_title" align="center" style="vertical-align: top; padding: 5px;">
								<xsl:value-of select="@TITLE"/>
							</td>
							<td style="width: 8px; background-repeat: repeat-y; background-position: top left;" background="{$skinPath}/images/over_right_line.gif">&#160;</td>
						</tr>
						<tr>
							<td style="width: 8px; background-repeat: repeat-y; background-position: top left;" background="{$skinPath}/images/over_left_line.gif">
								<img src="{$skinPath}/images/empty.gif" style="border-width:0px;height:85px;width:1px;" />
							</td>
							<td class="SB_Overview_BG" align="center" style="vertical-align: top; padding: 5px; color:Black;font-family:Arial;font-size:11px;">
								<xsl:value-of select="@DESCRIPTION"/>
							</td>
							<td style="width: 10px; background-repeat: repeat-y; background-position: top left;" background="{$skinPath}/images/over_right_line.gif">&#160;</td>
						</tr>
						<tr style="height: 7px;">
							<td style="width: 10px; height: 7px; vertical-align: bottom;">
								<img src="{$skinPath}/images/over_left_bottom_corner.gif" style="border-width:0px;height:7px;width:10px;" />
							</td>
							<td style="height: 7px; background-repeat: repeat-x; background-position: bottom right;" background="{$skinPath}/images/over_bottom_line.gif"></td>
							<td style="width: 10px; height: 7px; vertical-align: bottom;">
								<img src="{$skinPath}/images/over_right_bottom_corner.gif" style="border-width:0px;height:7px;width:10px;" />
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="DONT-SHOW">
		<table class="SB_Overview_Table" cellpadding="6" cellspacing="0" style="width:100%">
			<tr>
				<td>
					<table class="SB_Overview_Table_inside" style="width: 100%;" cellspacing="0" cellpadding="0" border="0">
						<tr>
							<td style="height: 28px;padding-left:3px">
								<input type="checkbox" onchange="top.sbApplyChangesObject.registerChange();top.sbApplyChangesObject.registerForcedSaving();" value="1" name="{@NAME}"/>
								<xsl:value-of select="@TITLE"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="VIEW-CONTENT">
		<table border="0" cellpadding="0" cellspacing="0" style="height: 100%;width:100%" align="center">
			<tr>
				<td style="height: 100%; vertical-align: middle;padding: 5px 6px 5px 6px" align="center" >
					<table cellspacing="0" cellpadding="0" border="0" style="border-width:0px;height:100%;width:100%;border-collapse:collapse;">
						<tr>
							<xsl:for-each select="STEP-OVERVIEW">
								<td align="center" style="border-width:0px;width:20%;">
									<xsl:call-template name="STEP"/>
								</td>
							</xsl:for-each>
						</tr>
					</table> 
				</td>
			</tr>
			<tr>
				<td style="vertical-align: top; padding: 0px 15px 16px 15px">
					<xsl:apply-templates select="DONT-SHOW"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	
</xsl:stylesheet>
