<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>


	<xsl:template match="PUBLISH-RESULT" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">publishSettings</xsl:with-param>
			<xsl:with-param name="formTitle">Publish</xsl:with-param>
			<xsl:with-param name="additionalFormStyle">width: 560px; height: 380px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sb_publish.hideSettings();return false;</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="PUBLISH-RESULT" mode="content">
		<script src='/js/Wizard/Publish.js?{$version}.{$build}' type='text/javascript'></script>
		<script type="text/javascript" language="javascript">
			sb_publish = new SB_Publish();
		</script>

		<table width="100%" height="83%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="SB_General_spacer" style="height: 1px;"></td>
			</tr>
			<tr>
				<td align="center" height="50%" valign="middle">
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td  align="center" valign="middle">
								<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/YOU-CAN-VIEW"/>
								<br />
								<a>
									<xsl:attribute name="href"><xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/PREVIEW-URL"/></xsl:attribute>
									<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/PREVIEW-URL"/>
								</a>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td height="50%" align="center">
					<table width="80%" border="0" cellspacing="5" cellpadding="0">
						<tr>
							<td align="center">
								<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/TO-GET-BACK"/>
							</td>
						</tr>
						<tr>
							<td align="center">
								<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/TO-EXIT"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td height="20" style="padding: 5px 0pt 5px; background-color: #ffffff; vertical-align: bottom;" align="center">
					<table cellpadding="2" cellspacing="0" border="0">
						<tr>
							<td>
								<xsl:call-template name="BUTTON-CONTROL">
									<xsl:with-param name="class">SB_LoginControlButton</xsl:with-param>
									<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BACK-TO-EDIT"/></xsl:with-param>
									<xsl:with-param name="action">javascript: document.location.href='<xsl:value-of select="$baseUrl" disable-output-escaping="yes"/>/Wizard/Edit'; return false;</xsl:with-param>
								</xsl:call-template>
							</td>
							<td>
								<xsl:call-template name="BUTTON-CONTROL">
									<xsl:with-param name="class">SB_LoginControlButton</xsl:with-param>
									<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/GO-TO-SITE"/></xsl:with-param>
									<xsl:with-param name="action">javascript: document.location.href='<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/PAGE"/>'; return false;</xsl:with-param>
								</xsl:call-template>
							</td>
							<td>
								<xsl:call-template name="BUTTON-CONTROL">
									<xsl:with-param name="class">SB_LoginControlButton</xsl:with-param>
									<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/FINISH"/></xsl:with-param>
									<xsl:with-param name="action">javascript: try{window.opener=null; window.close();}catch(e){}; document.location.href='<xsl:value-of select="$baseUrl" disable-output-escaping="yes"/>/Wizard/Publish'; return false;</xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

</xsl:stylesheet>